Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420145 - Multiple parents found for VMware template
Summary: Multiple parents found for VMware template
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: cfme-future
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard: vmware
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 00:17 UTC by Saif Ali
Modified: 2020-03-11 15:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 00:10:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2017-02-08 00:17:32 UTC
Description of problem:
[----] I, [2017-02-06T07:49:17.558405 #17356:727130]  INFO -- : MIQ(MiqGenericWorker::Runner#get_message_via_drb) Message id: [80000552072459], MiqWorker id: [80000009578855
], Zone: [PDC-WK], Role: [], Server: [], Ident: [generic], Target id: [], Instance id: [80000000023666], Task id: [], Command: [ManageIQ::Providers::Vmware::InfraManager::Te
mplate.classify_with_parent_folder_path], Timeout: [600], Priority: [200], State: [dequeue], Deliver On: [], Data: [], Args: [true], Dequeued in: [22.088066117] seconds
[----] I, [2017-02-06T07:49:17.558833 #17356:727130]  INFO -- : MIQ(MiqQueue#deliver) Message id: [80000552072459], Delivering...
[----] E, [2017-02-06T07:49:17.580370 #17356:727130] ERROR -- : MIQ(MiqQueue#deliver) Message id: [80000552072459], Error: [Multiple parents found.]
[----] E, [2017-02-06T07:49:17.583904 #17356:727130] ERROR -- : [RuntimeError]: Multiple parents found.  Method:[rescue in deliver]
[----] E, [2017-02-06T07:49:17.584380 #17356:727130] ERROR -- : /var/www/miq/vmdb/app/models/mixins/relationship_mixin.rb:152:in `parent'

Version-Release number of selected component (if applicable):
CFME 4.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.